RMDIR(1)

NOME
rmdir - remove diretórios vazios

SINOPSE
rmdir [opções] diretório...

Opções POSIX: [-p]

Opções GNU (forma reduzida): [-p] [--ignore-fail-on-non-empty] [--help] [--version] [--]

DESCRIÇÃO
rmdir remove diretórios vazios.

Se qualquer argumento diretório não se referir a um diretório vazio, irá ocorrer um erro.

OPÇÕES POSIX

-p  Se qualquer diretório incluir mais de um componente de nome de caminho, remova-o, e então tire o último componente e remova o diretório resultante etc., até que todos os componentes sejam removidos. Assim, 'rmdir -p a/b/c' é equivalente a 'rmdir a/b/c'; rmdir 'a/b'; rmdir 'a'.

OPÇÕES GNU

--ignore-fail-on-non-empty
    Normalmente rmdir recusará remover um diretório que não esteja vazio. Esta opção faz rmdir ignorar a falha em remover um diretório, se aquela falha é devida ao diretório que não esteja vazio. (Novo no Utilitários de Arquivo GNU 4.0.)

-p, --parents
    Como acima.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE e LC_MESSAGES têm seus significados usuais.

DE ACORDO COM
POSIX 1003.2

EXEMPLO DE USO
O comando `rmdir dire' removerá o diretório dire se este estiver vazio. Para remover um diretório não vazio, junto com tudo abaixo dele, usar `rmdir dire'.

NOTAS
Esta página descreve rmdir como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywol@blv.com.br> (tradução) Roberto Selbach Teixeira <robteix@zaz.com.br> (revisão)